/*
 * Fader.h
 * Copyright (C) Michael Stickel <michael@cubic.org>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef _XawDial_h
#define _XawDial_h

#include <X11/Intrinsic.h>

extern	WidgetClass	XsfaderWidgetClass;

typedef struct	_XsFaderClassRec	* XsFaderWidgetClass;
typedef struct	_XsFaderRec			* XsFaderWidget;


#define	XtNselectCallback	"selectCallback"
#define XtNchangedCallback	"changedCallback"

/* Colors */
#define XtNidentColor		"identColor"
#define XtNshadow1Color		"shadow1Color"
#define XtNshadow2Color		"shadow2Color"
#define XtNsliderColor		"sliderColor"

#define XtNfaderType		"faderType"
#define XtNposition		"position"
#define XtNfadeTo		"fadeto"


#define XtNshadowColor		"shadowColor"
#define XtNshadowPos		"shadowPos"

#define Xs_SELECTED			1

typedef struct {
	XEvent		*event;
	int			position;
	float		val;
} XsfaderCallbackStruct;

#endif
